Package ghidra.graph.viewer.event.mouse

# Class VisualGraphEventForwardingGraphMousePlugin<V extends VisualVertex,E extends VisualEdge<V>>

java.lang.Object
edu.uci.ics.jung.visualization.control.AbstractGraphMousePlugin
ghidra.graph.viewer.event.mouse.VisualGraphEventForwardingGraphMousePlugin<V,E>

All Implemented Interfaces:
  `edu.uci.ics.jung.visualization.control.GraphMousePlugin`, `VisualGraphMousePlugin<V,E>`, `MouseListener`, `MouseMotionListener`, `EventListener`

public class VisualGraphEventForwardingGraphMousePlugin<V extends VisualVertex,E extends VisualEdge<V>> extends edu.uci.ics.jung.visualization.control.AbstractGraphMousePlugin implements MouseListener, MouseMotionListener, VisualGraphMousePlugin<V,E>

- ## Field Summary

  ### Fields inherited from class edu.uci.ics.jung.visualization.control.AbstractGraphMousePlugin

  `cursor, down, modifiers`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VisualGraphEventForwardingGraphMousePlugin()`
  `VisualGraphEventForwardingGraphMousePlugin(int modifiers)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `checkModifiers(MouseEvent e)`
  `void`
  `mouseClicked(MouseEvent e)`
  `void`
  `mouseDragged(MouseEvent e)`
  `void`
  `mouseEntered(MouseEvent e)`
  `void`
  `mouseExited(MouseEvent e)`
  `void`
  `mouseMoved(MouseEvent e)`
  `void`
  `mousePressed(MouseEvent e)`
  `void`
  `mouseReleased(MouseEvent e)`

  ### Methods inherited from class edu.uci.ics.jung.visualization.control.AbstractGraphMousePlugin

  `getCursor, getModifiers, setCursor, setModifiers`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ghidra.graph.viewer.event.mouse.VisualGraphMousePlugin

  `dispose, getGraphViewer, getSatelliteGraphViewer, getViewer, getViewUpdater, getViewUpdater`

- ## Constructor Details

  - ### VisualGraphEventForwardingGraphMousePlugin

    public VisualGraphEventForwardingGraphMousePlugin()

  - ### VisualGraphEventForwardingGraphMousePlugin

    public VisualGraphEventForwardingGraphMousePlugin(int modifiers)

- ## Method Details

  - ### checkModifiers

    public boolean checkModifiers(MouseEvent e)
    Specified by:
      `checkModifiers` in interface `edu.uci.ics.jung.visualization.control.GraphMousePlugin`
    Overrides:
      `checkModifiers` in class `edu.uci.ics.jung.visualization.control.AbstractGraphMousePlugin`

  - ### mousePressed

    public void mousePressed(MouseEvent e)
    Specified by:
      `mousePressed` in interface `MouseListener`

  - ### mouseReleased

    public void mouseReleased(MouseEvent e)
    Specified by:
      `mouseReleased` in interface `MouseListener`

  - ### mouseDragged

    public void mouseDragged(MouseEvent e)
    Specified by:
      `mouseDragged` in interface `MouseMotionListener`

  - ### mouseClicked

    public void mouseClicked(MouseEvent e)
    Specified by:
      `mouseClicked` in interface `MouseListener`

  - ### mouseEntered

    public void mouseEntered(MouseEvent e)
    Specified by:
      `mouseEntered` in interface `MouseListener`

  - ### mouseExited

    public void mouseExited(MouseEvent e)
    Specified by:
      `mouseExited` in interface `MouseListener`

  - ### mouseMoved

    public void mouseMoved(MouseEvent e)
    Specified by:
      `mouseMoved` in interface `MouseMotionListener`